<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Update_AlarmMessages_Treated StructType
 * @subpackage Structs
 */
class Update_AlarmMessages_Treated extends AbstractStructBase
{
    /**
     * The Treated
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var bool
     */
    public $Treated;
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The AlarmIDs
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfLong
     */
    public $AlarmIDs;
    /**
     * Constructor method for Update_AlarmMessages_Treated
     * @uses Update_AlarmMessages_Treated::setTreated()
     * @uses Update_AlarmMessages_Treated::setLogin()
     * @uses Update_AlarmMessages_Treated::setAlarmIDs()
     * @param bool $treated
     * @param \StructType\Login $login
     * @param \ArrayType\ArrayOfLong $alarmIDs
     */
    public function __construct($treated = null, \StructType\Login $login = null, \ArrayType\ArrayOfLong $alarmIDs = null)
    {
        $this
            ->setTreated($treated)
            ->setLogin($login)
            ->setAlarmIDs($alarmIDs);
    }
    /**
     * Get Treated value
     * @return bool
     */
    public function getTreated()
    {
        return $this->Treated;
    }
    /**
     * Set Treated value
     * @param bool $treated
     * @return \StructType\Update_AlarmMessages_Treated
     */
    public function setTreated($treated = null)
    {
        // validation for constraint: boolean
        if (!is_null($treated) && !is_bool($treated)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($treated, true), gettype($treated)), __LINE__);
        }
        $this->Treated = $treated;
        return $this;
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Update_AlarmMessages_Treated
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get AlarmIDs value
     * @return \ArrayType\ArrayOfLong|null
     */
    public function getAlarmIDs()
    {
        return $this->AlarmIDs;
    }
    /**
     * Set AlarmIDs value
     * @param \ArrayType\ArrayOfLong $alarmIDs
     * @return \StructType\Update_AlarmMessages_Treated
     */
    public function setAlarmIDs(\ArrayType\ArrayOfLong $alarmIDs = null)
    {
        $this->AlarmIDs = $alarmIDs;
        return $this;
    }
}
